<?php

if (!defined('_PS_VERSION_'))
	exit;

class ComnpayInstall
{
	
	/**
	 * Set configuration table
	 */
	public function updateConfiguration()
	{
		Configuration::updateValue('COMNPAY_GATEWAY_CONFIG', 'HOMOLOGATION');
		Configuration::updateValue('COMNPAY_GATEWAY_HOMOLOGATION', 'https://secure.homologation.comnpay.com');
		Configuration::updateValue('COMNPAY_GATEWAY_PRODUCTION', 'https://secure.comnpay.com');
	}
	
	/**
	 * Delete Comnpay configuration
	 */
	public function deleteConfiguration()
	{
		Configuration::deleteByName('COMNPAY_GATEWAY_CONFIG');
		Configuration::deleteByName('COMNPAY_GATEWAY_HOMOLOGATION');
		Configuration::deleteByName('COMNPAY_GATEWAY_PRODUCTION');
		Configuration::deleteByName('COMNPAY_GATEWAY_TPE_NUMBER');
		Configuration::deleteByName('COMNPAY_GATEWAY_SECRET_KEY');
	}
	
	/**
	 * Create a new order state
	 */
	public function createOrderState()
	{
		if (!Configuration::get('COMNPAY_OS_PENDING'))
		{
			$orderState = new OrderState();
			$orderState->name = array();
			foreach (Language::getLanguages() as $language)
			{
				if (strtolower($language['iso_code']) == 'fr')
					$orderState->name[$language['id_lang']] = 'En attente du paiement ComNpay';
				else
					$orderState->name[$language['id_lang']] = 'Pending payment from ComnPay';
			}
			$orderState->send_email = false;
			$orderState->color = '#ffc702';
			$orderState->hidden = false;
			$orderState->delivery = false;
			$orderState->logable = false;
			$orderState->invoice = false;

			if ($orderState->add())
			{
				$source = dirname(__FILE__).'/img/logo.gif';
				$destination = dirname(__FILE__).'/../../img/os/'.(int)$orderState->id.'.gif';
				copy($source, $destination);
			}
			Configuration::updateValue('COMNPAY_OS_PENDING', (int)$orderState->id);
		}
	}


}
